What is Everything?

Help for Everything

Everything is a search engine for Windows.

Everything can quickly locate files and/or folders by name.

Basic file operations can be applied to the results.


How is Everything different from other search engines?

  • Small installation file.
  • Clean and simple user interface.
  • Quick file indexing.
  • Quick searching.
  • Quick startup.
  • Minimal resource usage.
  • Small database on disk.
  • real-time updating.


Running Everything for the first time

After Everything is installed it will begin indexing all your files.

Indexing can take a minute, the progress is displayed in the status bar.

See How to use Everything for more information on how to use Everything.

You can start searching immediately, however your results will not appear until the database has finished being built.

By default all volumes are included in the database to select which volumes to include see Creating a database.


How to use Everything

Using Everything

Everything has 2 basic parts:

  • Search edit to set search parameters.
  • Result list to view search results.

To search for a folder or file:

  1. Click on the search edit to bring it into focus.
  2. Type in the full or partial name of the folders or files you wish to search for.

The results will be listed realtime.

To open an item:

  1. Click on the item to select it and press enter.

OR

  1. Double click on an item.


Jumping to a result in the list

To jump to a folder or file that starts with the jump to string:

  1. Click on the result list to bring it into focus.
  2. Type in the full or partial name.

The charactor pressed will be appended to the jump to text.

The jump to text is displayed in the status bar as you type.

If the jump to string matches the start of a result in the list, the item will be brought into view and selected.

If a charactor was not found Everything will beep, press backspace to remove the last charactor.


Shortcut keys

Search edit keyboard shortcuts

Keyboard shortcuts when the search edit has focus

Ctrl + A
Select all text.
Enter
Focus result view.
Up
Down
Focus result view.

Result list keyboard shortcuts

Keyboard shortcuts when the result list has focus.

F2
Rename the focused item.
Ctrl + A
Select all items.
Delete
Move selected items to the recycle bin.
Shift + Delete
Delete selected items.
Ctrl + +
Maximize column widths.
Up
Down
Page up
Page down
Home
End
Navigate item focus
Shift + Up
Shift + Down
Shift + Page up
Shift + Page down
Shift + Home
Shift + End
Select item range.
Ctrl + Space
Toggle item selection.
Escape
Cancel any current actions.
Ctrl + X
Cut selected items.
Ctrl + C
Copy selected items.
Ctrl + V
Paste items from the clipboard into the selected folder.
Any charactor
Adds a charactor to the jump to text.
Backspace
Remove the last charactor in the jump to text.
Ctrl + Enter
Open the selected item path.

Global keyboard shortcuts

Global keyboard shortcuts

F1
Opens the help file.
F3
Ctrl + F
Focus and highlight the search edit.
Ctrl + Tab
Ctrl + Shift + Tab
Cycle between open windows.
Tab
Shift + Tab
Cycle between search edit and results view.
Escape
Close the current window.
Ctrl + N
Open a new search window.
Ctrl + +
Increase text size.
Ctrl + -
Decrease text size.
Ctrl + 0
Reset text size to Normal.
Ctrl + Mouse wheel
Increase/Decrease text size.


Command line options

-startup
Start in system notification area only.
-connect <host>
Connect to an ETP server at host with default settings.
-host
Start an ETP/FTP server with the default settings.
-filename <file>
Initialize the search string with file.
-path <path>
Initialize the search string with path.
-search <text>
Initialize the search string with text.
-config <Everything.ini>
Load settings from Everything.ini.


Creating the Everything database

By default, Everything creates and maintains the database for all NTFS volumes.

You can change the volumes you wish to include in the database.

To change which volumes to include in the database and which volumes to monitor:

  1. In Everything, On the Tools menu, click Options.
  2. Click the NTFS volumes Tab.
  3. Select a NTFS volume from the list to modify its options.
  4. Select Check media check box.
  5. Select Enable USN Journal Logging check box.
  6. Select Include in database check box.
  7. Select Monitor changes check box.

Note: To convert FAT and FAT32 volumes to NTFS volumes please follow this guide: http://support.microsoft.com/kb/307881


Search options

There are 3 search toggles available to help you find what you are looking for:

Match case
Match the case.
When enabled the search string is case-sensitive.
Example foo will not match FOO. foo will only match foo
When disabled the search string is case-insensitive.
This is disabled by default.
Match whole word
Match whole words only.
When enabled the search string will only match words with white spaces at the start and end.
Example: foo will not match food. foo will only match foo
When disabled the search string can appear anywhere inside the folder or file name.
This is disabled by default.
Match path
Match the full path name.
When enabled the search string is matched against the full path name.
Example c:\ will find all the files on the c volume.
When Disabled only folder and file names are matched.
This is disabled by default.
Note: Enabling this will make searching slower.

To match case:

  1. In Everything, On the Search menu, click Match Case if it is not checked.

To match whole words only:

  1. In Everything, On the Search menu, click Match Whole Word if it is not checked.

To include paths in the search:

  1. In Everything, On the Search menu, click Match Path if it is not checked.

Note: you can over-ride the match path toggle by including a \ in your search string.

By default all search toggles are disabled.

Note: Everything is optimized for all toggles disabled.


Wildcard characters

* match zero or more characters.

? match one character.

Using wildcards

Expression | Matches
*.* | All files and folders
* | All files and folders
*. | Files and folders with no extension
*.ext | Files and folders that end with ext
new* | Files and folders that start with new
abc.* | Files and folders named abc with any extension
*abc* | Files and folders with abc anywhere in the name
a*c | Files and folders that start with a and end with c
*.??? | Files and folders with any name and an extension of 3 characters
*.?? | Files and folders with any name and an extension of 2 characters
*.? | Files and folders with any name and an extension of 1 character
????.* | Files and folders with a name of 4 characters and any extension


Sorting results

By default the results are sorted by Name, then Path.

Sorting is reset back to the default each time the search parameters change.

At the top of the result list is a header

To sort results in ascending order:

  1. Click on the header you wish to sort by.

To sort results in descending order:

  1. Make sure the column you wish to sort is already sorted in ascending order.
  2. Click on the header again.

Note: Sorting by path and descending name can take several seconds.

Note: Sorting can be slow when sorting large ammounts of results.

A confirmation dialog is shown when the user wants to sort more than 1000 results.

Sorting more than 1000 results could take several minutes to gather the file information.


What is an HTTP server?

Hypertext Transfer Protocol (HTTP) server is the way Everything communicates between a web browser and server.

Users can connect to the HTTP server with a web browser.

With a web browser, users can browse and download the HTTP server's folders and files.


HTTP server security

All files that are visible with Everything can be accessed via a Web Browser with read and list access.

Starting an HTTP server could result in undesired access to folders and files.

See Creating a database to select which volumes are visible.

Note it is also posible to run multiple instances of Everything with different volumes.


Setup an HTTP server

To change the HTTP server settings:

  1. In Everything, On the Tools menu, click Options.
  2. Click the Server Tab.
  3. Type in the HTTP server port.


Start an HTTP server

To start an HTTP server:

  1. In Everything, On the Tools menu, click Start HTTP server.

See setup an HTTP server to change settings.


Connect to an HTTP server

To connect to an HTTP server:

  1. Open your web browser.
  2. In the address bar, type in http:// followed by...
  3. The HTTP server's host name or IP followed by
  4. a single : and the HTTP server's port.
  5. Press Enter.

Note the : and port can be omitted if the HTTP server is using port 80 (the default HTTP port).


What is an ETP/FTP server?

Everything Transfer Protocol (ETP) is the way Everything communicates between client and server.

ETP also serves as a File Transfer Protocol (FTP).

An ETP/FTP server will allow an ETP client to connect, browse and/or search the server's folders and files.

An ETP/FTP server will allow a FTP client to connect and browse the server's folders and files.

The ETP client can access folders and files transparently through windows share names if available.

The FTP client can access all folders and files.

ETP is backwards compatible with FTP.


ETP/FTP server security

All files that are visible with Everything can be accessed via a FTP Browser with read and list access.

Files can also be accessed with their windows share name.

Starting an ETP/FTP server could result in undesired access to folders and files.

See Creating a database to select which volumes are visible.

Note it is also posible to run multiple instances of Everything with different volumes.


Setup an ETP/FTP server

To change the ETP/FTP server settings:

  1. In Everything, On the Tools menu, click Options.
  2. Click the ETP/FTP Server Tab.
  3. Type in the ETP/FTP server port.
  4. Type in the ETP/FTP server password.


Start an ETP/FTP server

To start an ETP/FTP server:

  1. In Everything, On the Tools menu, click Start ETP/FTP server.

See setup an ETP/FTP server to change settings.


Connect to an ETP server

To connect to an ETP server:

  1. In Everything, On the Tools menu, click Connect to ETP Server....
  2. Type in the ETP server name.
  3. Type in the ETP server port.
  4. Type in the ETP server user.
  5. Type in the ETP server password.
  6. Click OK.


Exclude a folder

To exclude a folder from Everything:

  1. In Everything, On the Tools menu, click Options.
  2. Click the Exclude Tab.
  3. Click Add Folder.
  4. Select Exclude type.
  5. Type in the folder or click the ... button to browse for a folder.
  6. Select This folder, subfolders and files.
  7. Click OK.
  8. Click OK.


Exclude a type of file

Exclude a file

To exclude a type of file from Everything:

  1. In Everything, On the Tools menu, click Options.
  2. Click the Exclude Tab.
  3. Click Add Filter.
  4. Select Exclude type.
  5. Type in the Filter. see using wildcards.
  6. Select Files only.
  7. Click OK.
  8. Click OK.


Include only a specified folder

To include only a specified folder in Everything:

  1. In Everything, On the Tools menu, click Options.
  2. Click the Exclude Tab.
  3. Click Add Folder.
  4. Select Include type.
  5. Type in the folder or click the ... button to browse for a folder.
  6. Select This folder, subfolders and files.
  7. Click OK.
  8. Click OK.


Rebuild the database

To rebuild the Everything database:

  1. Exit Everything.
  2. Delete the Everything.db in your Everything installation folder.
  3. Restart Everything.


Can not connect to HTTP server

Make sure the selected HTTP server port is correctly forwarded to Everything.

See setup an HTTP server.


Can not find what I am looking for

Can not find what I'm looking for

Make sure you have the right search toggles checked.

See search options on how to change the search options.


Empty result list with no search string

Make sure there is aleast one NTFS volume included in the database.

See Creating a database on how to include an NTFS volume.